Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepSetTransport Method
DatabaseEnvironment Class See Also Send Feedback

Initialize the communication infrastructure for a database environment participating in a replicated application.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void RepSetTransport(
    	int envid,
    	ReplicationTransportDelegate transport
    )

Visual Basic (Declaration)
    Public Sub RepSetTransport ( _
    	envid As Integer, _
    	transport As ReplicationTransportDelegate _
    )

Visual C++
    public:
    void RepSetTransport(
    	int envid,
    	ReplicationTransportDelegate^ transport
    )

#### Parameters

envid
  Type: System..::.Int32
  The local environment's ID. It must be a non-negative integer and uniquely identify this Berkeley DB database environment (see Replication environment IDs in the Programmer's Reference Guide for more information).

transport
  Type: BerkeleyDB..::.ReplicationTransportDelegate
  The delegate used to transmit data using the replication application's communication infrastructure.

# Remarks

RepSetTransport is not called by most replication applications. It should only be called by applications implementing their own network transport layer, explicitly holding replication group elections and handling replication messages outside of the replication manager framework.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace